Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.phaseresolver
Class PhaseHolder

    java.lang.Object
      org.apache.axis2.phaseresolver.PhaseHolder

    public class PhaseHolder

extends java.lang.Object

This class hold all the phases found in the services.xml and server.xml

Constructor Summary
`PhaseHolder()`
`PhaseHolder(java.util.List phases)`

Method Summary
`void` | `addHandler(HandlerDescription handlerDesc)` If the phase name is equal to "*" that implies , the handler should be added to each and every phase in the system for a given flow , and at that point if the phase rule contains any befores or afters then they will be ignored.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhaseHolder

    public PhaseHolder()

### PhaseHolder

    public PhaseHolder(java.util.List phases)

Method Detail

### addHandler

    public void addHandler(HandlerDescription handlerDesc)
                    throws PhaseException

  If the phase name is equal to "*" that implies , the handler should be added to each and every phase in the system for a given flow , and at that point if the phase rule contains any befores or afters then they will be ignored. Phase first and phase last are supported , but make sure you dont break any of the phase rules.

  If the phase name is not above then the hadler will be added to the phase specified by the phase rule , and no rules will be ignored.

  Parameters:
    `handlerDesc` - HandlerDescription to deploy
  Throws:
    `PhaseException` - if there's a problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.